<?php
   include("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
  
   $id_cd=$sesion->id;
   	$cuentas=$_POST["cuenta"];
   	$fecha=$_POST["fecha_i"];
   
 //extract($_POST);
   
   echo"$cuenta<center><font size=\"5\"><b>Regalias depositadas en banco</b><br><br></font><form name=\"transito\" action=\"pagarruta2.php\" method=\"post\">
   
   
   
   <table border=\"1\" align=\"center\"><th>ID</th><th>Restante</th><th>Impuestos</th><th>Depositado</th><th>Folio</th><th>Fecha</th><th>Id Banco</th><th>Cuenta</th>";
 /* 	for ($k=0; $k<$cuenta; $k++)
		 {
		   	
		   	echo"<tr> <td>$idr$k</td></td><td>$apagar$k</td>
			<td>$impuestos$k</td><td>$pagado$k</td><td></td>
             <td></td><td></td><td>$folio$k</td>
             </td></tr>
		   			
	   				";
		   		
		   	}*/

for ($k=0; $k<$cuentas; $k++)
		   	{
		   	$A1=$_POST["idr$k"];
	   			$A2=$_POST["apagar$k"];
	   				$A3=$_POST["impuestos$k"];
					$A4=$_POST["pagado$k"];
					$A5=$_POST["folio$k"];
					$A6=$_POST["banco$k"];
					$A7=$_POST["cuenta$k"];
				
				if($A5=='')
				{	
				
				}	
				else
				{
		   	echo"<tr> <td>$A1</td><td>$A2</td>
			<td>$A3</td><td>$A4</td>
			<td>$A5</td>
             <td>$fecha</td><td>$A6</td><td>$A7</td></tr>
		   			
	   				";
		   		$qPP = "Insert into pagos values('$A1', '$A6', '$A7', '$A5')";
	$rPP = mysql_query($qPP) or die ('ErrPP1: '. mysql_error());
	$qPP = "update regs2 set status='1', fechaf='$fecha',apagar='$A2', impuestos='$A3', pagado='$A4'  where idreg=$A1";
	$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());
}
		   	}

echo"</table><br> Los pagos se han agregado al sistema exitosamente";

 
?>